Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 638522 - <dev-lang/ruby-2.5.0[jemalloc] with sys-libs/glibc - [FATAL] Failed to create timer thread: Invalid argument / <main>: warning: pthread_create failed for timer: Invalid argument, scheduling broken
Summary: <dev-lang/ruby-2.5.0[jemalloc] with sys-libs/glibc - [FATAL] Failed to create...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-22 21:26 UTC by Dennis Schridde
Modified: 2018-12-29 23:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-libs/webkit-gtk-2.18.3) (build.log,4.86 KB, text/x-log)
2017-11-22 21:26 UTC, Dennis Schridde
Details
CMakeOutput.log (net-libs/webkit-gtk-2.18.3) (CMakeOutput.log,38.99 KB, text/x-log)
2017-11-22 21:27 UTC, Dennis Schridde
Details
build.log (dev-lang/ruby-2.2.8) (build.log,46.95 KB, text/x-log)
2017-11-30 17:42 UTC, Dennis Schridde
Details
build.log (dev-lang/ruby-2.2.9) (build.log,47.02 KB, text/x-log)
2018-01-23 08:49 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2017-11-22 21:26:30 UTC
Created attachment 505858 [details]
build.log (net-libs/webkit-gtk-2.18.3)

net-libs/webkit-gtk-2.18.3 fails to build with dev-lang/ruby-2.2.8:

-- Could NOT find Ruby: Found unsuitable version "1.8.0", but required is at least "1.9" (found /usr/bin/ruby22)
CMake Error at Source/cmake/WebKitCommon.cmake:32 (message):
  Ruby 1.9 or higher is required.
Call Stack (most recent call first):
  CMakeLists.txt:161 (include)

Portage 2.3.16 (python 2.7.13-final-42, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-7.2.0, glibc-2.26-r3, 4.14.1-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.1-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.4.1
KiB Mem:    15382288 total,   1244672 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 22 Nov 2017 18:15:01 +0000
Head commit of repository gentoo: d0b37593972423d52b8c33bd58f037209061aee9
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p2) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r100::sage-on-gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.10.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

flatpak-overlay
    location: /var/lib/layman/flatpak-overlay
    sync-type: laymansync
    sync-uri: git://github.com/fosero/flatpak-overlay.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi activities alsa amd64 appindicator appstream archive audit avahi bash-completion bdplus berkdb bluetooth bluray branding bs2b bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli colord colorio conntrack cracklib crypt cups cxx d3d9 dbus declarative dirac djvu dri dts dvb dvd dvdr egl emboss encode epub exif fam fax fbcon ffmpeg fftw firefox fish-completion fits flac fontconfig fortran fribidi gdbm geoclue geolocation gif git glamor gles gmp google googledrive gpm gps graphicsmagick gstreamer gtk gtk3 harfbuzz hdf5 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k kde kipi kwallet ladspa latex lcms ldap libidn2 libinput libnotify libproxy libsecret libsoxr lv2 lz4 lzma lzo mad mercurial metis mjpeg mng mobi modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib mysql ncurses netlink networkmanager nls nptl office ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf phonon plasma png policykit postscript ppds prison pulseaudio python qml qt3support qt4 qt5 raw readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session sparse speech speex spell ssl startup-notification svg systemd tbb tcpd teamd telepathy tga theora threads tiff timezone truetype tslib udev udisks unicode unwind upnp upnp-av upower usb v4l v4l2 vaapi vdpau vorbis vpx vulkan wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_EXPERIMENTAL_FEATURES="stage" CALLIGRA_FEATURES="words sheets karbon plan" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa tr" LIRC_DEVICES="devinput" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5 pypy pypy3" RUBY_TARGETS="ruby22" STEAMGAMES="dirt_rally dont_starve portal source_engine te120 trine2 witcher2" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-lang/ruby-2.2.8::gentoo was built with the following:
USE="berkdb gdbm ipv6 jemalloc ncurses rdoc readline ssl -debug -doc -examples -libressl -rubytests -socks5 -tk -xemacs" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=bdver3 -fno-strict-aliasing"
CXXFLAGS="-pipe -O2 -march=bdver3 -fno-strict-aliasing"
Comment 1 Dennis Schridde 2017-11-22 21:27:19 UTC
Created attachment 505860 [details]
CMakeOutput.log (net-libs/webkit-gtk-2.18.3)
Comment 2 Dennis Schridde 2017-11-22 21:28:22 UTC
Ruby behaves weirdly:

# ruby22 --version
[FATAL] Failed to create timer thread: Invalid argument
Comment 3 Mart Raudsepp gentoo-dev 2017-11-23 18:53:03 UTC
I'm not sure what would be up with your ruby here. CCing ruby team for advice
Comment 4 Hans de Graaff gentoo-dev 2017-11-25 08:27:21 UTC
(In reply to Mart Raudsepp from comment #3)
> I'm not sure what would be up with your ruby here. CCing ruby team for advice

I've never seen this before. Dennis: you could try to reinstall dev-lang/ruby to see if that helps?
Comment 5 Dennis Schridde 2017-11-30 17:42:46 UTC
Created attachment 507276 [details]
build.log (dev-lang/ruby-2.2.8)

(In reply to Hans de Graaff from comment #4)
> (In reply to Mart Raudsepp from comment #3)
> > I'm not sure what would be up with your ruby here. CCing ruby team for advice
> 
> I've never seen this before. Dennis: you could try to reinstall
> dev-lang/ruby to see if that helps?

I cannot, dev-lang/ruby-2.2.8 fails to build with the same error.
Comment 6 Dennis Schridde 2017-11-30 18:31:25 UTC
(In reply to Dennis Schridde from comment #5)
> Created attachment 507276 [details]
> build.log (dev-lang/ruby-2.2.8)
> 
> (In reply to Hans de Graaff from comment #4)
> > (In reply to Mart Raudsepp from comment #3)
> > > I'm not sure what would be up with your ruby here. CCing ruby team for advice
> > 
> > I've never seen this before. Dennis: you could try to reinstall
> > dev-lang/ruby to see if that helps?
> 
> I cannot, dev-lang/ruby-2.2.8 fails to build with the same error.

I remerged dev-lang/ruby-2.2.8 with USE=-jemalloc and this time the build succeeded.  I tried to rebuild dev-libs/jemalloc-5.0.1 and then dev-lang/ruby-2.2.8, in order to see whether the build of jemalloc was broken e.g. by a recent upgrade to another library, but the problem persisted.  With dev-lang/ruby-2.3.5  and dev-lang/ruby-2.4.2 the problem is reduced from a fatal error to a warning:
```
<main>: warning: pthread_create failed for timer: Invalid argument, scheduling broken                                                                                                                                                                                                                       
```

Portage 2.3.16 (python 2.7.13-final-42, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-7.2.0, glibc-2.26-r3, 4.14.1-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.1-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.4.1
KiB Mem:    15251216 total,   1754428 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 29 Nov 2017 17:15:01 +0000
Head commit of repository gentoo: 20babe885d35e274b4a2d56ff65fed02e4d7d85a
Head commit of repository flatpak-overlay: d43bba255bc488f1d01a9c625c5c73866f135166

Timestamp of repository sage-on-gentoo: Tue, 28 Nov 2017 11:27:18 +0000
Head commit of repository sage-on-gentoo: b1d783e90ddd369bd28cdad124223c60d129479a

Timestamp of repository science: Tue, 28 Nov 2017 11:27:20 +0000
Head commit of repository science: 3749887df671755e974bbe07f78f617b9171c448

Timestamp of repository steam-overlay: Fri, 17 Nov 2017 07:13:59 +0000
Head commit of repository steam-overlay: 335bf782f676943e2b283cc82a9a96a8542ebefa

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p2) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r100::sage-on-gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.10.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

flatpak-overlay
    location: /var/db/repos/flatpak-overlay
    sync-type: git
    sync-uri: git://github.com/fosero/flatpak-overlay.git
    masters: gentoo

sage-on-gentoo
    location: /var/db/repos/sage-on-gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/sage-on-gentoo.git
    masters: gentoo science

science
    location: /var/db/repos/science
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/science.git
    masters: gentoo

steam-overlay
    location: /var/db/repos/steam-overlay
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/steam-overlay.git
    masters: gentoo

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi activities alsa amd64 appindicator appstream archive audit avahi bash-completion bdplus berkdb bluetooth bluray branding bs2b bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli colord colorio conntrack cracklib crypt cups cxx d3d9 dbus declarative dirac djvu dri dts dvb dvd dvdr egl emboss encode epub exif fam fax fbcon ffmpeg fftw firefox fish-completion fits flac fontconfig fortran fribidi gdbm geoclue geolocation gif git glamor gles gmp google googledrive gpm gps graphicsmagick gstreamer gtk gtk3 harfbuzz hdf5 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k kde kipi kwallet ladspa latex lcms ldap libidn2 libinput libnotify libproxy libsecret libsoxr lv2 lz4 lzma lzo mad mercurial metis mjpeg mng mobi modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib mysql ncurses netlink networkmanager nls nptl office ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf phonon plasma png policykit postscript ppds prison pulseaudio python qml qt3support qt4 qt5 raw readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session sparse speech speex spell ssl startup-notification svg systemd tbb tcpd teamd telepathy tga theora threads tiff timezone truetype tslib udev udisks unicode unwind upnp upnp-av upower usb v4l v4l2 vaapi vdpau vorbis vpx vulkan wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_EXPERIMENTAL_FEATURES="stage" CALLIGRA_FEATURES="words sheets karbon plan" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa tr" LIRC_DEVICES="devinput" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5 python3_5 pypy pypy3" RUBY_TARGETS="ruby22" STEAMGAMES="dirt_rally dont_starve portal source_engine te120 trine2 witcher2" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-libs/jemalloc-5.0.1::gentoo was built with the following:
USE="hugepages -debug -hardened -lazy-lock -static-libs -stats -xmalloc" ABI_X86="32 (64) (-x32)"


dev-lang/ruby-2.2.8::gentoo was built with the following:
USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=bdver3 -fno-strict-aliasing"
CXXFLAGS="-pipe -O2 -march=bdver3 -fno-strict-aliasing"
Comment 7 Dennis Schridde 2018-01-23 08:49:14 UTC
Created attachment 516030 [details]
build.log (dev-lang/ruby-2.2.9)

dev-lang/ruby-2.2.9 also fails to build.
Comment 8 Dennis Schridde 2018-01-23 09:08:05 UTC
Confirming Per Lundberg's observation [1]: The bug is fixed in >=dev-lang/ruby-2.5.0.

Apparently it was introduced by some commit ?after? dev-libs/jemalloc-5.0.1, which increased the TLS data.  I run 5.0.1 and Gentoo does not include the commit that introduced the issue for Per, so that seems a bit off...  Maybe just remove USE=jemalloc entirely for <dev-lang/ruby-2.5.0?

[1]: https://github.com/jemalloc/jemalloc/issues/1006#issuecomment-327081417
Comment 9 Dennis Schridde 2018-01-23 09:28:42 UTC
P.S. Ultimately, the bug is in sys-libs/glibc and has been since ages, because fixing it requires significant changes to the NPTL stack layout, which no one has gotten around to, yet.
Comment 10 Gilles Dartiguelongue gentoo-dev 2018-02-07 22:01:35 UTC
Re-assigning to ruby team as I don't see what's left to do here for the gnome team.
Comment 11 Andreas K. Hüttel gentoo-dev 2018-12-29 22:30:01 UTC
Is there still anything to do here?
Comment 12 Dennis Schridde 2018-12-29 23:22:33 UTC
(In reply to Andreas K. Hüttel from comment #11)
> Is there still anything to do here?

The underlying bug in glibc that causes this has not been fixed yet: https://sourceware.org/bugzilla/show_bug.cgi?id=11787

Since only ruby-2.5 and newer contain the workaround, I build <dev-lang/ruby-2.5 with USE=-jemalloc.

I assume this can be closed once the glibc bug is fixed and that version of glibc becomes stable, or once ruby-2.5 becomes stable.